# SFTPFileTransfer (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.sftp
Class SFTPFileTransfer

    java.lang.Object
      net.schmizz.sshj.xfer.AbstractFileTransfer
          net.schmizz.sshj.sftp.SFTPFileTransfer

All Implemented Interfaces:
  FileTransfer

    public class SFTPFileTransfer

extends AbstractFileTransfer
implements FileTransfer

Field Summary

Fields inherited from class net.schmizz.sshj.xfer.AbstractFileTransfer
`log, LOGGING_TRANSFER_LISTENER`

Constructor Summary
`SFTPFileTransfer(SFTPEngine engine)`

Method Summary
`void` `download(String source, LocalDestFile dest)`
`void` `download(String source, String dest)`
`RemoteResourceFilter` `getDownloadFilter()`
`LocalFileFilter` `getUploadFilter()`
`void` `setDownloadFilter(RemoteResourceFilter downloadFilter)`
`void` `setUploadFilter(LocalFileFilter uploadFilter)`
`void` `upload(LocalSourceFile localFile, String remotePath)`
`void` `upload(String source, String dest)`

Methods inherited from class net.schmizz.sshj.xfer.AbstractFileTransfer
`getTransferListener, setTransferListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.schmizz.sshj.xfer.FileTransfer
`getTransferListener, setTransferListener`

Constructor Detail

### SFTPFileTransfer

    public SFTPFileTransfer(SFTPEngine engine)

Method Detail

### upload

    public void upload(String source,
                       String dest)
                throws IOException

  Specified by:
    `upload` in interface `FileTransfer`
  Throws:
    `IOException`

### download

    public void download(String source,
                         String dest)
                  throws IOException

  Specified by:
    `download` in interface `FileTransfer`
  Throws:
    `IOException`

### upload

    public void upload(LocalSourceFile localFile,
                       String remotePath)
                throws IOException

  Specified by:
    `upload` in interface `FileTransfer`
  Throws:
    `IOException`

### download

    public void download(String source,
                         LocalDestFile dest)
                  throws IOException

  Specified by:
    `download` in interface `FileTransfer`
  Throws:
    `IOException`

### setUploadFilter

    public void setUploadFilter(LocalFileFilter uploadFilter)

### setDownloadFilter

    public void setDownloadFilter(RemoteResourceFilter downloadFilter)

### getUploadFilter

    public LocalFileFilter getUploadFilter()

### getDownloadFilter

    public RemoteResourceFilter getDownloadFilter()

Copyright © 2009-2011. All Rights Reserved.